<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="personInfo"
            type="com.example.beijing_daxing.been.PmBasePersonInfo" />
        <variable
            name="state"
            type="androidx.databinding.ObservableBoolean" />
        <import type="android.view.View"/>
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="@color/bg1"
        tools:context=".SelectPersonInfoActivity">

        <TextView
            style="@style/title_text"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:text="信息查询" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="扫描RFID:" />

            <TextView
                android:id="@+id/select_info_epc"
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="工号:" />

            <TextView
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@{personInfo.employeeId}" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="姓名:" />

            <TextView
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:text="@{personInfo.peopleName}" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="驾驶证代号:" />

            <TextView
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:text="@{personInfo.driverCode}" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="有效日期:" />

            <TextView
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@{personInfo.joinDate}" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="205dp"
            android:layout_marginTop="10dp">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center|top"
                android:text="照片:" />

            <ImageView
                android:id="@+id/select_info_photo"
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:onClick="selectInfoPhoto"
            />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:background="@color/white"
            android:layout_marginEnd="8dp"
            android:layout_marginTop="10dp">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:background="@color/bg1"
                android:text="查询结果:" />

            <Spinner
                android:id="@+id/check_state"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:textAlignment="center"
                android:entries="@array/checkState1"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:visibility="@{state ? View.VISIBLE:View.GONE}">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="处罚说明:" />

            <TextView
                android:id="@+id/select_penalty"
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:drawableEnd="@mipmap/icon_select"
                android:drawablePadding="12dp"
                android:onClick="checkSelect"
                android:paddingEnd="16dp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp">
            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent">
                <Button
                    style="@style/button_style1"
                    android:layout_width="match_parent"
                    android:layout_height="55dp"
                    android:onClick="checkPenalty"
                    android:backgroundTint="@color/yellow"
                    android:layout_margin="5dp"
                    android:text="查看" />
                <TextView
                    android:layout_width="38dp"
                    android:layout_height="wrap_content"
                    android:text='@{String.valueOf(personInfo.penaltyCount)}'
                    android:textSize="20sp"
                    android:textColor="@color/white"
                    android:gravity="center"
                    android:background="@drawable/state_y_bg"
                    android:padding="5dp" />
            </FrameLayout>

            <Button
                style="@style/button_style"
                android:layout_width="match_parent"
                android:layout_height="55dp"
                android:onClick="selectInfoSubmit"
                android:text="提交" />
        </LinearLayout>

    </LinearLayout>
</layout>